export const textField = {
  label: 'Text Field',
  labelPosition: 'top',
  labelWidth: '',
  labelMargin: '',
  placeholder: '',
  description: '',
  tooltip: '',
  prefix: '',
  suffix: '',
  widget: { type: 'input' },
  inputMask: '',
  displayMask: '',
  allowMultipleMasks: false,
  customClass: '',
  tabindex: '',
  autocomplete: '',
  hidden: false,
  hideLabel: false,
  showWordCount: false,
  showCharCount: false,
  mask: false,
  autofocus: false,
  spellcheck: true,
  disabled: false,
  tableView: true,
  modalEdit: false,
  multiple: false,
  persistent: true,
  inputFormat: 'plain',
  protected: false,
  dbIndex: false,
  case: '',
  truncateMultipleSpaces: false,
  encrypted: false,
  redrawOn: '',
  clearOnHide: true,
  customDefaultValue: '',
  calculateValue: '',
  calculateServer: false,
  allowCalculateOverride: false,
  validateOn: 'change',
  validate: {
    required: true,
    minLength: '',
    maxLength: '',
    minWords: '',
    maxWords: '',
    pattern: '',
    customMessage: '',
    custom: '',
    customPrivate: false,
    json: '',
    strictDateValidation: false,
    multiple: false,
    unique: false
  },
  errorLabel: '',
  errors: '',
  key: 'textField',
  tags: [],
  properties: {},
  conditional: { show: null, when: null, eq: '', json: '' },
  customConditional: '',
  logic: [],
  attributes: {},
  overlay: {
    style: '',
    page: '',
    left: '',
    top: '',
    width: '',
    height: ''
  },
  type: 'textfield',
  input: true,
  unique: false,
  refreshOn: '',
  dataGridLabel: false,
  addons: [],
  inputType: 'text',
  id: 'edr15dl',
  defaultValue: ''
}
